D Programming Language 2.0

Last update Wed Aug 1 09:43:34 2012

# std.windows.charset

Support UTF-8 on Windows 95, 98 and ME systems.

License:
Boost License 1.0.

Authors:
Walter Bright

const(char)* toMBSz(in char[] s, uint codePage = 0);
  Converts the UTF-8 string s into a null-terminated string in a Windows 8-bit character set.

  Parameters:

  char[] s | UTF-8 string to convert.
  uint codePage | is the number of the target codepage, or 0 - ANSI, 1 - OEM, 2 - Mac

  Authors:
  yaneurao, Walter Bright, Stewart Gordon

string fromMBSz(immutable(char)* s, int codePage = 0);
  Converts the null-terminated string s from a Windows 8-bit character set into a UTF-8 char array.

  Parameters:

  immutable(char)* s | UTF-8 string to convert.
  int codePage | is the number of the source codepage, or 0 - ANSI, 1 - OEM, 2 - Mac

  Authors:
  Stewart Gordon, Walter Bright

Copyright Digital Mars 2005 - 2009. | Page generated by Ddoc.